# frozen_string_literal: true

require 'singleton'
require 'yaml'

module HS
  class Config
    include Singleton

    DEFAULT_BASE_URL = 'http://hackerschool.ge'

    def self.publish_url
      instance.publish_url
    end

    def initialize
      @data = load_configuration
    end

    def publish_url
      @data['publish_url'] || DEFAULT_BASE_URL
    end

    private

    def load_configuration
      return {} unless File.exist?('.hs.yml')
      YAML.load_file('.hs.yml')
    end
  end
end
