# frozen_string_literal: true

require 'hs/preview/element_preview'

module HS
  class Element
    include ElementPreview

    attr_reader :children
    attr_accessor :style, :class_name

    def initialize(args = {})
      args.each do |key, val|
        instance_variable_set("@#{key}", val)
      end

      @children ||= []
    end

    def tag_name
      'div'
    end

    def params
      params = {}
      class_name = element_class_name
      params[:class] = class_name if class_name
      params[:style] = style if style

      params
    end

    def preview
      element_preview(tag_name, params, children)
    end

    def preview_raw
      preview
    end

    private

    def element_class_name
      return class_name unless respond_to?(:default_class)

      class_names = [default_class, class_name].uniq.compact
      class_names.join(' ') unless class_names.empty?
    end
  end
end
