# frozen_string_literal: true

module HS
  class Image < HS::Element
    attr_writer :src

    def tag_name
      'img'
    end

    def params
      super.merge(src: src)
    end

    def src
      return unless @src
      return @src if @src =~ %r{^http(s)?://}
      return @src if @src.start_with?('/')
      "/images/#{@src}"
    end
  end
end
