# frozen_string_literal: true

module HS
  class Link < HS::Element
    attr_accessor :to

    def tag_name
      'a'
    end

    def params
      super.merge(href: href)
    end

    def href
      return to if to =~ %r{^http(s)?://}
      return to if to.start_with?('/')
      "/#{to}"
    end
  end
end
