# frozen_string_literal: true

module HS
  module CodeInitializers
    private

    def initialize_code(data)
      HS::Code.new(get_params(data, %i[lang class_name style]))
    end

    def initialize_live_code(data)
      HS::LiveCode.new(get_params(data, %i[lang]))
    end

    def initialize_initial_code(data)
      HS::InitialCode.new(get_params(data))
    end

    def initialize_solution(data)
      HS::Solution.new(get_params(data))
    end

    def initialize_code_preview(_data)
      HS::CodePreview.new
    end
  end
end
