# frozen_string_literal: true

module HS
  module TextInitializers
    private

    def initialize_header(data)
      HS::Header.new(get_params(data, %i[level class_name style]))
    end

    def initialize_text(data)
      HS::Text.new(text: data[:text])
    end

    def initialize_p(data)
      HS::Paragraph.new(get_params(data))
    end

    def initialize_em(data)
      HS::Emphasize.new(get_params(data))
    end

    def initialize_strong(data)
      HS::Strong.new(get_params(data))
    end

    def initialize_br(_data)
      HS::Br.new # no params!
    end
  end
end
