# frozen_string_literal: true

require 'hs/preview/review_status_preview'

module HS
  module ContentPreview
    include HS::ReviewStatusPreview

    def preview
      [
        intro_preview,
        content_preview
      ].compact.join("\n")
    end

    private

    def intro_preview
      return unless intro
      intro.preview
    end

    def content_preview
      content.map(&:preview).compact.join
    end
  end
end
