# frozen_string_literal: true

module HS
  module ReviewStatusPreview
    REVIEW_ICON = {
      none: 'file',
      translated: 'bookmark',
      first: 'file-edit',
      second: 'heart',
      final: 'check'
    }.freeze

    REVIEW_COLOR = {
      none: 'muted',
      translated: 'muted',
      first: 'warning',
      second: 'danger',
      final: 'primary'
    }.freeze

    REVIEW_TITLE = {
      none: 'არაა რედაქტირებული',
      translated: 'პორველადი თარგმანი',
      first: 'პირველადი რედაქტირება',
      second: 'მეორადი რედაქტირება',
      final: 'საბოლოო რედაქცია'
    }.freeze

    def review_icon
      REVIEW_ICON[review_status.to_sym]
    end

    def review_title
      REVIEW_TITLE[review_status.to_sym]
    end

    def review_color
      REVIEW_COLOR[review_status.to_sym]
    end
  end
end
